import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listHouse(data) {
  return request({
    url: '/tHouse/list',
    method: 'post',
    data: data
  })
}

// 查询【请填写功能名称】详细
export function getHouse(id) {
  return request({
    url: '/tHouse/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addHouse(data) {
  return request({
    url: '/tHouse',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateHouse(data) {
  return request({
    url: '/tHouse',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delHouse(id) {
  return request({
    url: '/tHouse/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportHouse(query) {
  return request({
    url: '/tHouse/export',
    method: 'get',
    params: query
  })
}
